<?php

require_once ("../../config/Cado.php");

require_once ("../cliente/cCliente.php");

$oCliente = new cCliente();



if($_POST['action']=="editar"){

	$dts=$oCliente->mostrarUno($_POST['cli_id']);

	$dt = mysqli_fetch_array($dts);

	$tip=$dt['tb_cliente_tip'];

	$nom=$dt['tb_cliente_nom'];

	$doc=$dt['tb_cliente_doc'];

	$dir=$dt['tb_cliente_dir'];

	$con=$dt['tb_cliente_con'];

	$tel=$dt['tb_cliente_tel'];

	$ema=$dt['tb_cliente_ema'];

	mysqli_free_result($dts);

}

?>

<script type="text/javascript">





	function buscar() {

	

	$('#msj_busqueda_sunat_2').html("Buscando en Sunat...");

	$('#msj_busqueda_sunat_2').show(100);

	$.post('../../libreriasphp/consultaruc/index.php', {

		vruc: $('#txt_cli_doc').val(),

		vtipod: 6

	},

	function(data, textStatus){

		if(data == null){

			alert('Intente nuevamente...Sunat');

			$('#txt_cli_doc').focus();

		}

		if(data.length==1){

			alert(data[0]);

			$('#msj_busqueda_sunat_2').hide();

			$('#txt_cli_doc').focus();

		}else{

			$('#txt_cli_nom').val(data['RazonSocial']);

			$('#txt_cli_dir').val(data['Direccion']);

			if( typeof data['Contacto'] != 'undefined'){

				$('#txt_cli_con').val(data['Contacto']);

			}else{

				$('#txt_cli_con').val(data['RazonSocial']);

			}

			

			var telefono = data['Telefonos'];

			telefono = telefono.replace(/ \/ /g, "/");

			telefono = telefono.replace("/ ", "");

			telefono = telefono.replace(/\//g, " / ");

			$('#txt_cli_tel').val(telefono);

			$('#txt_cli_est').val(data['Estado']);

			$('#msj_busqueda_sunat_2').hide();

			$('#txt_cli_ema').focus();

		}

	},"json");

}



	$( "#radio" ).buttonset();

	

	$('#txt_cli_nom, #txt_cli_dir, #txt_cli_con').change(function(){

		$(this).val($(this).val().toUpperCase());

	});



 



	$("#btn_cliente_save").click(function() {

		$("#for_cli").submit();

	});



	$(document).ready(function() {





		$('#for_cli').bootstrapValidator({

	      //live: 'disabled',

	      message: 'This value is not valid',

	      feedbackIcons: {

	      	valid: 'glyphicon glyphicon-ok',

	      	invalid: 'glyphicon glyphicon-remove',

	      	validating: 'glyphicon glyphicon-refresh'

	      },

	      fields: {

	      	cmb_cli_tip: {

	      		group: '.col-lg-2',

	      		validators: {

	      			notEmpty: {

	      				message: 'Requerido * '

	      			}

	      		}

	      	},

	      	txt_cli_doc: {

	      		group: '.col-lg-2',

	      		validators: {

	      			notEmpty: {

	      				message: 'Requerido * '

	      			}

	      		}

	      	},

	      	txt_cli_nom: {

	      		group: '.col-lg-8',

	      		validators: {

	      			notEmpty: {

	      				message: 'Requerido * '

	      			}

	      		}

	      	} 

	      }

	  }).on('success.form.bv', function(e) {

	  	/*--- Save ---*/

	  	$.ajax({

	  		type: "POST",

	  		url: "../cliente/cliente_reg.php",

	  		async:true,

	  		dataType: "json",

	  		data: $("#for_cli").serialize(),

	  		beforeSend: function(){

					//$('#div_cliente_form').dialog("close");

					$('#msj_cliente').html("Guardando...");

					$('#msj_cliente').show(100);

				},

				success: function(data){

					$('#div_cliente_form').modal('hide'); 

        			$('#div_cliente_form .modal-content').html('');        			 

					$('#filter').show();

					$('#msj_cliente').html(data.cli_msj);

					<?php

					if($_POST['vista']=="cmb_cli_id")

					{

						echo $_POST['vista'].'(data.cli_id);';?>

						<?php

					}

					if($_POST['vista']=="hdd_cli_id")

					{

						echo 'cliente_cargar_datos(data.cli_id);';

					}

					?>

				},

				complete: function(){

					<?php

					if($_POST['vista']=="cliente_tabla")

					{

						echo $_POST['vista'].'();';

					}

					if($_POST['vista']=="venta_tabla")

					{

						echo $_POST['vista'].'();';

					}

					?>

				}

			});	

	  });

	

	

	/*$("#txt_cli_doc").autoNumeric({

		aSep:'',

		vMin:'',

		vMax:'99999999999'

	});*/



	



	$('#cmb_cli_tip').keydown(function(ev) {

		if(ev.keyCode==13){$('#txt_cli_doc').focus(); return false;}

	});

	$('#txt_cli_doc').keydown(function(ev) {

		if(ev.keyCode==13){

			

			//$('#txt_cli_nom').focus(); return false;

			if($("#cmb_cli_tip").val()==""){

	$('#msj_busqueda_sunat_2').html("Seleccione un tipo de docuemtno...");

	$('#msj_busqueda_sunat_2').show(100);

	$('#cmb_cli_tip').focus(); 

	

			}else if($("#cmb_cli_tip").val()=="1"){

				$('#txt_cli_nom').focus();

			}else if($("#cmb_cli_tip").val()=="2"){

					buscar();

			}		

			return false;

		}

	});

	$('#txt_cli_nom').keydown(function(ev) {

		if(ev.keyCode==13){$('#txt_cli_dir').focus(); return false;}

	});

	$('#txt_cli_dir').keydown(function(ev) {

		if(ev.keyCode==13){$('#txt_cli_con').focus(); return false;}

	});

	$('#txt_cli_con').keydown(function(ev) {

		if(ev.keyCode==13){$('#txt_cli_tel').focus(); return false;}

	});

	$('#txt_cli_tel').keydown(function(ev) {

		if(ev.keyCode==13){$('#txt_cli_ema').focus(); return false;}

	});

	$('#txt_cli_ema').keydown(function(ev) {

		if(ev.keyCode==13){$('#btn_cliente_save').focus(); return false;}

	});

	$('#cmb_cli_tip').focus();



	});

</script>



<!-- Form content -->

<div class="modal-header">

	<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>

	<h4 class="modal-title" id="titlemodal">Información del Cliente</h4> 

</div><div class="modal-body"><div class="row"><div class="col-xs-12"> 

<div id="div_cliente_form"></div> 



<form role="form" id="for_cli" method="POST">

	<input name="action_cliente" id="action_cliente" type="hidden" value="<?php echo $_POST['action']?>">

	<input name="hdd_cli_id" id="hdd_cli_id" type="hidden" value="<?php echo $_POST['cli_id']?>">





	<div class="row">



		<div class="col-lg-2 col-xs-6">

		 <div id="msj_busqueda_sunat_2" class="alert alert-info pull-right" style="padding:2px;margin-bottom:0px;display:none"></div>

			<label>Tipo</label>

			<?php if ($_POST['action']=='editar'){?>

			<select name="cmb_cli_tip" id="cmb_cli_tip" class="form-control">

				<?php if ($tip==1) {?>

				<option value="0">-</option>

				<option value="1" selected >DNI</option>

				<option value="2">RUC</option>	

				<?php }else if ($tip==2) {?>

				<option value="0">-</option>

				<option value="1">DNI</option>

				<option value="2" selected>RUC</option>	

				<?php }

				?>

			</select>

			<?php }else if ($_POST['action']=='insertar') {?>

			<select name="cmb_cli_tip" id="cmb_cli_tip" class="form-control">

				<option value="">-</option>

				<option value="1">DNI</option>

				<option value="2">RUC</option>

			</select>

			<?php } ?>

		</div> 

		<div class="col-lg-2 col-xs-6">

			<label for="txt_cli_doc">RUC/DNI:</label>

			<input name="txt_cli_doc" id="txt_cli_doc" type="text" value="<?php echo $doc?>" size="15" maxlength="11" class="form-control">

		</div>

		<div class="col-lg-8 col-xs-12">

			<label for="txt_cli_nom">Cliente:</label>

			<textarea name="txt_cli_nom"  rows="1" id="txt_cli_nom" class="form-control"><?php echo $nom?></textarea>

		</div>

	</div>



	<div class="row">

							<div class="col-lg-12 col-xs-12">

								<label for="txt_cli_dir">Dirección:</label>

								<textarea name="txt_cli_dir" rows="1" id="txt_cli_dir" class="form-control"><?php echo $dir?></textarea>

							</div>

						</div>

						<div class="row">

							<div class="col-lg-4 col-xs-6">

								<label for="txt_cli_con">Contacto:</label>

								<input name="txt_cli_con" id="txt_cli_con" type="text" value="<?php echo $con?>" size="50" tabindex="1" class="form-control">

							</div>

							<div class="col-lg-4 col-xs-6">

								<label for="txt_cli_tel">Teléfono:</label>

								<input name="txt_cli_tel" type="text" id="txt_cli_tel" value="<?php echo $tel?>" size="15" maxlength="13" class="form-control">

							</div>

							<div class="col-lg-4 col-xs-12">

								<label for="txt_cli_ema">Email:</label>

								<input name="txt_cli_ema" type="text" id="txt_cli_ema" value="<?php echo $ema?>" size="45" maxlength="100" class="form-control">

							</div>

						</div>







</form>

<!-- FIN CONTENIDO MODAL -->     

</div></div></div>

<div class="modal-footer">	 

	<button type="button" class="btn btn-default pull-left" id="btn_cli_cancelar" data-dismiss="modal">Cancelar</button>

	<button type="button" class="btn btn-primary pull-right" id="btn_cliente_save">Guardar</button>

</div>